Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZApproveType Class Reference

Event type for user approvals. More...

Inheritance diagram for eZApproveType:

## Public Member Functions
| __construct ()
| attributeDecoder ( $event, $attr)
| typeFunctionalAttributes ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| execute ( $process, $event)
| initializeEvent ( $event)
| validateUserIDList ( $userIDList, &$reason)
| validateGroupIDList ( $userGroupIDList, &$reason)
| validateHTTPInput ( $http, $base, $workflowEvent, &$validation)
| fetchHTTPInput ( $http, $base, $event)
| createApproveCollaboration ( $process, $event, $userID, $contentobjectID, $contentobjectVersion, $editors)
| customWorkflowEventHTTPAction ( $http, $action, $workflowEvent)
| cleanupAfterRemoving ( $attr=array())
| checkApproveCollaboration ( $process, $event)
Public Member Functions inherited from eZWorkflowEventType
| __construct ( $typeString='', $name='')
| eZWorkflowEventType ( $typeString, $name)
Public Member Functions inherited from eZWorkflowType
| __construct ( $group, $type, $groupName, $name)
| eZWorkflowType ( $group, $type, $groupName, $name)
| setAttribute ( $attr, $value)
| setTriggerTypes ( $allowedTypes)
| eventDescription ()
| fixupHTTPInput ( $http, $base, $event)
| setActivationDate ( $date)
| setInformation ( $inf)
| needCleanup ()
| cleanup ( $process, $event)
| workflowEventContent ( $event)
| storeEventData ( $event, $version)
| storeDefinedEventData ( $event)
| isAllowed ( $moduleName, $functionName, $connectType)

## Public Attributes
const | WORKFLOW_TYPE_STRING = "ezapprove"
const | COLLABORATION_NOT_CREATED = 0
const | COLLABORATION_CREATED = 1
const | VERSION_OPTION_FIRST_ONLY = 1
const | VERSION_OPTION_EXCEPT_FIRST = 2
const | VERSION_OPTION_ALL = 3
Public Attributes inherited from eZWorkflowType
| $Attributes
const | STATUS_NONE = 0
const | STATUS_ACCEPTED = 1
const | STATUS_REJECTED = 2
const | STATUS_DEFERRED_TO_CRON = 3
const | STATUS_DEFERRED_TO_CRON_REPEAT = 4
const | STATUS_RUN_SUB_EVENT = 5
const | STATUS_WORKFLOW_CANCELLED = 6
const | STATUS_FETCH_TEMPLATE = 7
const | STATUS_FETCH_TEMPLATE_REPEAT = 8
const | STATUS_REDIRECT = 10
const | STATUS_WORKFLOW_DONE = 9
const | STATUS_REDIRECT_REPEAT = 11
const | STATUS_WORKFLOW_RESET = 12
| $Group
| $Type
| $TypeString
| $GroupName
| $Name
| $ActivationDate
| $Information
| $TriggerTypes = array( '*' => true )

## Additional Inherited Members
Static Public Member Functions inherited from eZWorkflowEventType
static | registerEventType ( $typeString, $class_name)
Static Public Member Functions inherited from eZWorkflowType
static | statusName ( $status)
static | createType ( $typeString)
static | fetchRegisteredTypes ()
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | registerType ( $group, $type, $class_name)
static | loadAndRegisterType ( $typeString)
static | statusNameMap ()

## Detailed Description

Event type for user approvals.

WorkflowEvent storage fields : data_text1 - selected_sections data_text2 - selected_usergroups data_text3 - approve_users data_text4 - approve_groups data_int2 - language_list data_int3 - content object version option

Definition at line 23 of file ezapprovetype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZApproveType::__construct | ( |  | ) |

Definition at line 34 of file ezapprovetype.php.

References eZWorkflowType\setTriggerTypes(), ezpI18n\tr(), and WORKFLOW_TYPE_STRING.

## Member Function Documentation

## ◆ attribute()

eZApproveType::attribute | ( |  | $attr | ) |

Reimplemented from eZWorkflowType.

Definition at line 118 of file ezapprovetype.php.

References eZWorkflowType\attribute(), eZSection\fetchList(), and eZContentLanguage\fetchList().

## ◆ attributeDecoder()

eZApproveType::attributeDecoder | ( |  | $event,
|  |  | $attr
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 40 of file ezapprovetype.php.

References eZContentLanguage\languagesByMask(), and VERSION_OPTION_ALL.

Referenced by customWorkflowEventHTTPAction(), fetchHTTPInput(), and validateHTTPInput().

## ◆ attributes()

eZApproveType::attributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 103 of file ezapprovetype.php.

References eZWorkflowType\attributes().

Referenced by hasAttribute().

## ◆ checkApproveCollaboration()

eZApproveType::checkApproveCollaboration | ( |  | $process,
|  |  | $event
| ) |  |

Definition at line 745 of file ezapprovetype.php.

References eZApproveCollaborationHandler\checkApproval(), eZApproveCollaborationHandler\contentObjectVersion(), eZCollaborationItem\fetch(), eZDB\instance(), eZApproveCollaborationHandler\STATUS_ACCEPTED, eZWorkflowType\STATUS_ACCEPTED, eZApproveCollaborationHandler\STATUS_DEFERRED, eZWorkflowType\STATUS_DEFERRED_TO_CRON_REPEAT, eZApproveCollaborationHandler\STATUS_DENIED, eZContentObjectVersion\STATUS_DRAFT, eZContentObjectVersion\STATUS_REJECTED, eZApproveCollaborationHandler\STATUS_WAITING, eZWorkflowType\STATUS_WORKFLOW_CANCELLED, and eZDebugSetting\writeDebug().

Referenced by execute().

## ◆ cleanupAfterRemoving()

eZApproveType::cleanupAfterRemoving | ( |  | $attr = `array()` | ) |

Reimplemented from eZWorkflowType.

Definition at line 703 of file ezapprovetype.php.

References eZDB\instance().

## ◆ createApproveCollaboration()

eZApproveType::createApproveCollaboration | ( |  | $process,
|  |  | $event,
|  |  | $userID,
|  |  | $contentobjectID,
|  |  | $contentobjectVersion,
|  |  | $editors
| ) |  |

Definition at line 610 of file ezapprovetype.php.

References eZApproveCollaborationHandler\createApproval(), and eZDB\instance().

Referenced by execute().

## ◆ customWorkflowEventHTTPAction()

eZApproveType::customWorkflowEventHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $workflowEvent
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 624 of file ezapprovetype.php.

References attributeDecoder(), eZContentBrowse\browse(), eZUser\fetchUserClassNames(), and eZUser\fetchUserGroupClassNames().

## ◆ execute()

eZApproveType::execute | ( |  | $process,
|  |  | $event
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 140 of file ezapprovetype.php.

References eZApproveCollaborationHandler\activateApproval(), checkApproveCollaboration(), COLLABORATION_CREATED, COLLABORATION_NOT_CREATED, eZUser\contentClassIDs(), createApproveCollaboration(), eZUser\currentUser(), eZContentObject\fetch(), eZDB\instance(), eZUser\instance(), eZWorkflowType\setInformation(), eZWorkflowType\STATUS_ACCEPTED, eZWorkflow\STATUS_DEFERRED_TO_CRON, eZWorkflowType\STATUS_DEFERRED_TO_CRON_REPEAT, eZWorkflowType\STATUS_WORKFLOW_CANCELLED, VERSION_OPTION_EXCEPT_FIRST, VERSION_OPTION_FIRST_ONLY, eZDebugSetting\writeDebug(), and eZDebugSetting\writeError().

## ◆ fetchHTTPInput()

eZApproveType::fetchHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $event
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 503 of file ezapprovetype.php.

References attributeDecoder(), eZContentObject\fetch(), eZUser\isUserObject(), and VERSION_OPTION_ALL.

## ◆ hasAttribute()

eZApproveType::hasAttribute | ( |  | $attr | ) |

Reimplemented from eZWorkflowType.

Definition at line 113 of file ezapprovetype.php.

References attributes().

## ◆ initializeEvent()

eZApproveType::initializeEvent | ( |  | $event | ) |

Reimplemented from eZWorkflowType.

Definition at line 335 of file ezapprovetype.php.

## ◆ typeFunctionalAttributes()

eZApproveType::typeFunctionalAttributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 93 of file ezapprovetype.php.

## ◆ validateGroupIDList()

eZApproveType::validateGroupIDList | ( |  | $userGroupIDList,
|  | & | $reason
| ) |  |

Definition at line 355 of file ezapprovetype.php.

References eZContentObject\fetch(), eZUser\fetchUserGroupClassNames(), eZInputValidator\STATE_ACCEPTED, and eZInputValidator\STATE_INVALID.

Referenced by validateHTTPInput().

## ◆ validateHTTPInput()

eZApproveType::validateHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $workflowEvent,
|  | & | $validation
| ) |  |

Parameters

  eZHTTPTool | $http |
  | $base |
  eZWorkflowEvent | $workflowEvent |
  | $validation |

Returns
  bool|int

Reimplemented from eZWorkflowType.

Definition at line 389 of file ezapprovetype.php.

References attributeDecoder(), eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, validateGroupIDList(), and validateUserIDList().

## ◆ validateUserIDList()

eZApproveType::validateUserIDList | ( |  | $userIDList,
|  | & | $reason
| ) |  |

Definition at line 339 of file ezapprovetype.php.

References eZContentObject\fetch(), eZUser\isUserObject(), eZInputValidator\STATE_ACCEPTED, and eZInputValidator\STATE_INVALID.

Referenced by validateHTTPInput().

## Member Data Documentation

## ◆ COLLABORATION_CREATED

const eZApproveType::COLLABORATION_CREATED = 1

Definition at line 28 of file ezapprovetype.php.

Referenced by execute().

## ◆ COLLABORATION_NOT_CREATED

const eZApproveType::COLLABORATION_NOT_CREATED = 0

Definition at line 27 of file ezapprovetype.php.

Referenced by execute().

## ◆ VERSION_OPTION_ALL

const eZApproveType::VERSION_OPTION_ALL = 3

Definition at line 32 of file ezapprovetype.php.

Referenced by attributeDecoder(), and fetchHTTPInput().

## ◆ VERSION_OPTION_EXCEPT_FIRST

const eZApproveType::VERSION_OPTION_EXCEPT_FIRST = 2

Definition at line 31 of file ezapprovetype.php.

Referenced by execute().

## ◆ VERSION_OPTION_FIRST_ONLY

const eZApproveType::VERSION_OPTION_FIRST_ONLY = 1

Definition at line 30 of file ezapprovetype.php.

Referenced by execute().

## ◆ WORKFLOW_TYPE_STRING

const eZApproveType::WORKFLOW_TYPE_STRING = "ezapprove"

Definition at line 25 of file ezapprovetype.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezapprovetype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.